Notify users if openid gem isn't installed
Status: Closed Start date: 2009-05-29

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Administration > Settings > Authentication > Allow OpenID login and registration is disabled if the ruby-openid gem isn't installed.

There should be some sort of notification or documentation that the gem is required.

History

#1 - 2009-06-12 02:03 - Mischa The Evil

Peter Baumgartner wrote:

There should be some sort of notification or documentation that the gem is required.

 I've at least added some documentation about it here and here.

Eric Hulser:

Do we (still) need this as a notification inside Redmine settings-view also (as a description or so)?

Regards,

Mischa.

#2 - 2009-06-14 10:41 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#3 - 2009-06-30 01:24 - Eric Davis

- % Done changed from 0 to 100

Mischa The Evil wrote:

I've at least added some documentation about it here and here.

 Mischa, that will work.  One problem I heard about in IRC a few times was that some systems have an older ruby-openid gem installed, which isn't

compatible.  I've updated the wiki page to say version 2 is required.

#4 - 2009-06-30 01:33 - Eric Davis

- Status changed from New to Closed

- Resolution set to Fixed

(Missed the close status on the last comment)
